<template>
  <div style="background: #F8F8F8">
    <v-container>
      <v-col style="padding: 15px;">
        <v-row>
          <v-col md="1">
            <v-btn icon @click="goToTable">
              <v-icon color="primary" x-large>
                mdi-chevron-left
              </v-icon>
            </v-btn>
          </v-col>
          <v-col>
            <div class="text-h4">
              Historial de Sesiones
            </div>
          </v-col>
        </v-row>
        <v-container>
          <v-row>
            <v-col md="6">
              <div class="text-h5">
                Información del paciente
              </div>
            </v-col>
          </v-row>
        </v-container>
        <v-row>
          <v-col>
            <patient-card v-if="this.appointments.user" :patient="this.appointments.user" />
          </v-col>
        </v-row>
        <v-col>
          <v-tabs
            color="primary"
          >
            <v-tab>
              {{ 'Programadas' }}
            </v-tab>
            <v-tab>
              {{ 'Finalizadas' }}
            </v-tab>

            <v-tab-item
              v-for="n in 2"
              :key="n"
            >
              <details-card>
                <v-col v-if="n==1">
                  <div v-for="(item, index) in appointments.appointmentDTO" :key="index">
                    <v-row v-if="item.state==0">
                      <v-col>
                        <session-card :appointment="item"/>
                      </v-col>
                    </v-row>
                  </div>
                </v-col>
                <v-col v-else>
                  <div v-for="(item, index) in appointments.appointmentDTO" :key="index">
                    <v-row v-if="item.state==2">
                      <v-col>
                        <session-card :appointment="item"/>
                      </v-col>
                    </v-row>
                  </div>
                </v-col>
              </details-card>
            </v-tab-item>
          </v-tabs>
        </v-col>
      </v-col>
    </v-container>
  </div>
</template>

<script>
import { mapActions, mapState, mapGetters } from 'vuex';
import PatientCard from '~/components/Cards/PatientCard.vue';
import SessionCard from '~/components/Cards/SessionCard.vue';
import DetailsCard from '~/components/Cards/DetailsCard.vue';

export default {
  name: 'historialPatient',
  components: {
    'patient-card': PatientCard,
    'session-card': SessionCard,
    'details-card': DetailsCard,
  },
  data() {
    return {
    };
  },
  computed: {
     ...mapState({
      appointments: state => state.specialist.appointments.appointmentsPatient,
      loading: state => state.specialist.appointments.loading,
      patientUuid: state => state.patient.patient.patientUuid,
    }),
    ...mapGetters({
      myUserUuid: 'auth/myUserUuid',
    }),
  },
  mounted() {
    this.getAllAppointments();
    console.log("patienUuid: ",this.patientUuid);
  },
  methods: {
    ...mapActions({
      getAppointmentsPatient: 'specialist/appointments/getAppointmentsPatient',
    }),
    getAllAppointments(){
      this.getAppointmentsPatient({  specialistUuid: this.myUserUuid, patientUuid: this.patientUuid });
    },
    goToTable(){
      this.$router.push(`/especialista/pacientes`);
    }
  },
};
</script>

<style scoped>

</style>
